module PersonalDiploma
  class Engine < ::Rails::Engine
  	initializer "personal_diploma" do
		OrbitApp.registration "PersonalDiploma",:type=> 'ModuleApp' do
			module_label 'module_name.personal_journal'
			base_url File.expand_path File.dirname(__FILE__)
			personal_plugin :enable => true, :sort_number => '40', :app_name=>"Diploma", :intro_app_name=>"PersonalDiplomaIntro",:path=>"/plugin/personal_diploma/profile",:front_path=>"/profile",:admin_path=>"/admin/diplomas",:i18n=>'module_name.personal_diploma', :field_modifiable => true, :module_app_name=>'PersonalDiploma'

			version "0.1"
			desktop_enabled true
			organization "Rulingcom"
			author "RD dep"
			intro "I am intro"
			update_info 'some update_info'

      frontend_enabled
      icon_class_no_sidebar "icons-user"
      data_count 1..10
		end
	end
  end
end
